## com.google.appengine.api.memcache
Class InvalidValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.memcache.InvalidValueException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidValueException

extends java.lang.RuntimeException

Thrown when a cache entry has content, but it cannot be read. For example:

- An attempt to `MemcacheService.increment(java.lang.Object, long)` a non-integral value
- Version skew between your application and the data in the cache, causing a serialization error.

See Also:
  Serialized Form

Constructor Summary
`InvalidValueException(java.lang.String message)`
`InvalidValueException(java.lang.String message, java.lang.Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidValueException

    public InvalidValueException(java.lang.String message,
                                 java.lang.Throwable t)

### InvalidValueException

    public InvalidValueException(java.lang.String message)